agent evidence
Create a side-effect simulation run
Requires scopes: traces:write
POST
/
api
/
agent-evidence
/
simulate
Create a side-effect simulation run
curl --request POST \
--url https://evalgate.com/api/agent-evidence/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"simulationKey": "<string>",
"targetAction": "<string>",
"aiSystemId": 123,
"policyDecisionId": 123,
"plan": {},
"permissionProfileId": 123,
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"simulationSupported": false
}
'import requests
url = "https://evalgate.com/api/agent-evidence/simulate"
payload = {
"simulationKey": "<string>",
"targetAction": "<string>",
"aiSystemId": 123,
"policyDecisionId": 123,
"plan": {},
"permissionProfileId": 123,
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"simulationSupported": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
simulationKey: '<string>',
targetAction: '<string>',
aiSystemId: 123,
policyDecisionId: 123,
plan: {},
permissionProfileId: 123,
runtimeId: 123,
connectorId: 123,
runtimeVersionId: 123,
connectorManifestSnapshotId: 123,
simulationSupported: false
})
};
fetch('https://evalgate.com/api/agent-evidence/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"metadata": {
"schemaVersion": 123
},
"aiSystemId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"inputHash": "<string>",
"result": {
"schemaVersion": 123,
"outcome": "<string>",
"sideEffects": [
"<string>"
],
"differences": [
{
"field": "<string>",
"expected": true,
"actual": true
}
]
},
"policyDecisionId": 123,
"plan": {
"schemaVersion": 123,
"steps": [
{
"action": "<string>",
"expected": "<string>",
"target": "<string>"
}
]
},
"permissionProfileId": 123,
"evidenceItemIds": [
123
],
"runtimeId": 123,
"connectorId": 123,
"runtimeVersionId": 123,
"connectorManifestSnapshotId": 123,
"simulationKey": "<string>",
"targetAction": "<string>",
"simulationSupported": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Available options:
false Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create a side-effect simulation run
